<?php use_helper( 'UrlFunctions' ); ?>
<?php use_helper( 'IncludePartial' ); ?>
<?php use_helper( 'UtilFunctions' ); ?>

<?php
/** @var VTA_OrdenBN $o_VTA_OrdenBN */
?>

<style type="text/css">
    body
    {
        height: auto;
    }
    .table td, .table th
    {
        /*padding: 8px;*/
        font-size: 13px;
        padding: .5rem;
    }
    th { white-space: nowrap; }

    fieldset.scheduler-border
    {
        border: 1px solid #ccc !important;
        padding: 0 0.5em 0.5em 0.5em !important;
        margin: 0 0 0.5em 0 !important;
        -webkit-box-shadow: 0px 0px 0px 0px #000;
        box-shadow: 0px 0px 0px 0px #000;
    }

    legend.scheduler-border
    {
        font-size: 14px !important;
        font-weight: bold !important;
        text-align: left !important;
        width: auto;
        padding: 0 5px;
        border-bottom: none;
        margin-bottom: 0;
    }
</style>

<script type="text/javascript">
    saveForm = function()
    {
        blockContent( 'form1' );
        var strFormSerialize = $( 'form' ).serialize();

        executeAjaxJson
        (
            "<?php echo buildUrl( 'cotcar/saveAddEdit', "" ) ?>",
            strFormSerialize,
            function( o_json )
            {
                unBlockContent( 'form1' );
                if( o_json.error )
                {
                    showAlertBootStrap( 'content_alert', 'alert-danger', o_json.mensaje_error );
                    return false;
                }
            }
        );
        return false;
    }
</script>

<div id="content_alert" style=""></div>

<?php
$s_Disabled = 'disabled="disabled"';
if( $o_VTA_OrdenBN->getOrdenEstado() == VTA_OrdenBN::ESTADO_ABIERTO )
{
    $s_Disabled = '';
}
?>
<form name="form1" id="form1" method="POST" action="" onsubmit="return saveForm();">
    <input type="hidden" name="tipo_proc" value="<?=$s_TipoProc?>">
    <input type="hidden" name="id" id="id" value="<?=$s_Id?>">

    <input type="hidden" name="OrdenTipoComercialId" value="<?=$o_VTA_OrdenBN->getOrdenTipoComercialId()?>">
    <input type="hidden" name="OrdenTipoClasificacionId" value="<?=$o_VTA_OrdenBN->getOrdenTipoClasificacionId()?>">
    <input type="hidden" name="AlmacenCod" value="<?=$o_VTA_OrdenBN->getAlmacenCod()?>">
    <input type="hidden" name="OrdenTipoId" value="<?=$o_VTA_OrdenBN->getOrdenTipoId()?>">
    <input type="hidden" name="ValidezOrden" value="<?=$o_VTA_OrdenBN->getValidezOrden()?>">
    <input type="hidden" name="PlazaEntregaOrden" value="<?=$o_VTA_OrdenBN->getPlazaEntregaOrden()?>">
    <input type="hidden" name="FactRegla" value="<?=$o_VTA_OrdenBN->getFactRegla()?>">
    <input type="hidden" name="ClienteNumero" value="<?=$o_VTA_OrdenBN->getClienteId()?>">
    
    <input type="hidden" name="MonedaCod" value="LO">
    <input type="hidden" name="MonedaCambioValor" value="1">

    <div class="form-row mx-0 mt-1">
        <div class="col-md-6">
            <fieldset class="scheduler-border" style="">
                <legend class="scheduler-border">Datos del Vehiculo</legend>
                <div class="form-row mx-0">
                    <div class="col-md-6 mb-1">
                        <label for="TipoDocCliente" class="col-form-label col-form-label-sm">Pais:</label>
                        <div class="input-group mb-0 text-success font-weight-bold">
                            <?php echo $o_VTA_OrdenBN->getFactPais();;?>
                        </div>
                    </div>
                    <div class="col-md-6 mb-1">
                        <label for="ClienteNumero" class="col-form-label col-form-label-sm">Numero de Placa:</label>
                        <div class="input-group mb-0 text-success font-weight-bold">
                            <?php echo $o_VTA_OrdenBN->getPlaca();;?> 
                        </div>
                    </div>
                </div>
                
                <div class="form-row mx-0">
                    <div class="col-md-6 mb-1">
                        <label for="Tipo" class="col-form-label">Tipo:</label>
                        <div class="input-group mb-0 text-success font-weight-bold">
                            <?php echo $o_VTA_OrdenBN->getNombreVehiculoTipo();?> 
                        </div>
                    </div>
                
                    <div class="col-md-6 mb-1">
                        <label for="Marca" class="col-form-label">Marca:</label>
                        <div class="input-group mb-0 text-success font-weight-bold">
                            <?php echo $o_VTA_OrdenBN->getNombreVehiculoMarca();?> 
                        </div>
                    </div>
                </div>
                <div class="form-row mx-0">
                    <div class="col-md-6 mb-1">
                        <label for="Marca" class="col-form-label">Modelo:</label>
                        <div class="input-group mb-0 text-success font-weight-bold">
                            <?php echo $o_VTA_OrdenBN->getNombreVehiculoModelo();?> 
                        </div>
                    </div>
                    <div class="col-md-6 mb-1">
                        <label for="DireccionCliente" class="col-form-label">Color:</label>
                        <div class="input-group mb-0 text-success font-weight-bold">
                            <?php echo $o_VTA_OrdenBN->getColor();?> 
                        </div>
                    </div>
                </div>
                <div class="form-row mx-0">
                    
                </div>
            </fieldset>
        </div>
        <!--<div class="col-md-4">
            <fieldset class="scheduler-border" style="">
                <legend class="scheduler-border">Datos del Documento</legend>

            </fieldset>
        </div>-->
        <div class="col-md-6">
            <fieldset class="scheduler-border" style="">
                <legend class="scheduler-border">Otros Datos</legend>
                <div class="form-group mb-1">
                    <label for="OrdenFecha" class="col-form-label col-form-label-sm">Fecha de Orden:</label>
                    <input type="text" style="text-align: center;" class="form-control form-control-sm" id="OrdenFecha" placeholder="" name="OrdenFecha" value="<?=substr( $o_VTA_OrdenBN->getOrdenFecha(), 0, 10 )?>" disabled="disabled" >
                </div>
                <div class="form-row mx-0">
                    <div class="col-md-4 mb-1">
                        <label for="TipoDocCliente" class="col-form-label col-form-label-sm">Celular:</label>
                        <div class="input-group mb-0 text-success font-weight-bold">
                            <input type="text" class="form-control form-control-sm" id="CelularCliente" autocomplete="off" name="CelularCliente" value="<?=$o_VTA_OrdenBN->getObjectCliente()->getCelular()?>" <?=$s_Disabled?> >
                        </div>
                    </div>
                    <div class="col-md-8 mb-1">
                        <label for="ClienteNumero" class="col-form-label col-form-label-sm">Nombre de Cliente:</label>
                        <div class="input-group mb-0 text-success font-weight-bold">
                            
                            <input type="text" class="form-control form-control-sm" id="NombreCliente" autocomplete="off" name="NombreCliente" value="<?=$o_VTA_OrdenBN->getClienteNombre();?>" <?=$s_Disabled?> required>
                            
                        </div>
                    </div>
                </div>
                
                <div class="form-group mb-1" style="display: none;">
                    <label for="AlmacenDespacho" class="col-form-label col-form-label-sm">Almacen:</label>
                    <select class="custom-select custom-select-sm" name="AlmacenDespacho" id="AlmacenDespacho" disabled>
                        <?php foreach ( $a_ALM_AlmacenMast as $o_ALM_AlmacenMastBN ) { ?>
                            <option value="<?=$o_ALM_AlmacenMastBN->getIdAlmacen()?>" <?php if( $o_ALM_AlmacenMastBN->getIdAlmacen()==$o_VTA_OrdenBN->getAlmacenDespacho() ){ echo "selected"; } ?> >
                                <?=$o_ALM_AlmacenMastBN->getCodigo()?> - <?=$o_ALM_AlmacenMastBN->getDescripcionLocal()?>
                            </option>
                        <?php } ?>
                    </select>
                </div>
                
                <div class="form-row mx-0">
                    <div class="col-md-8 mb-1">
                        <label for="TipoDocCliente" class="col-form-label col-form-label-sm">Responsable:</label>
                        <div class="input-group mb-0 text-success font-weight-bold">
                            <select class="custom-select custom-select-sm" name="IdVendedor" id="IdVendedor" onchange="" <?=$s_Disabled?> required>
                                <option value=""> - Seleccione - </option>
                                <?php foreach ( VTA_VendedorFN::select_all( $s_IdVendedor ) as $a_Vendedor ) { ?>
                                    <?php
                                    if( $o_VTA_OrdenBN->getOrdenId() )
                                    {
                                        $s_CodVendedorSel = $o_VTA_OrdenBN->getVendedorOrden();
                                    }
                                    else
                                    {
                                        //$s_CodVendedorSel = MST_PersonaMastFN::buscarPersonaPorIdUsuario( myUser::getUser()->getUserId() )->getIdPersona();
                                        $s_CodVendedorSel = myUser::getUser()->getUserId();
                                    }
                                    ?>
                                    <option value="<?=$a_Vendedor['IdUsuario']?>"
                                        <?php if( $s_CodVendedorSel == $a_Vendedor['IdUsuario'] ){ echo "SELECTED"; } ?>
                                    >
                                        <?=$a_Vendedor['NombreCompleto']?>
                                    </option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-4 mb-1">
                        <label for="ClienteNumero" class="col-form-label col-form-label-sm">&nbsp;</label>
                        <div class="input-group mb-0 text-success font-weight-bold">
                            <?php if( $o_VTA_OrdenBN->getOrdenEstado() == VTA_OrdenBN::ESTADO_ABIERTO ){ ?>
                            <button type="submit" class="btn btn-primary btn-sm btn-block" onclick="$( '#TypeSub' ).val( '1' );">ACTUALIZAR</button>
                            <?php } ?>
                        </div>
                    </div>
                </div>
                
            </fieldset>
        </div>
    </div>



</form>

<!-- //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// -->
<style type="text/css">
    .modal
    {
        padding: 0 !important;
    }
    .modal-dialog {
        max-width: 95% !important;
        height: 90%;
        /*  padding: 0;
          margin: 0;*/
    }

    .modal-content {
        /*border-radius: 0 !important;*/
        height: 90%;
    }
</style>
<!-- //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// -->

<!-- Modal - NUEVO CLIENTE -->
<div class="modal hide fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Nuevo Cliente</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <iframe id="iframe_id" src="" style="" width="99.6%" height="99.6%" frameborder="0"></iframe>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                <!--<button type="button" class="btn btn-primary">Save changes</button>-->
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    asignarValores = function( idpersona )
    {
        $( "#ClienteNumero" ).val( idpersona );
        buscarInfoCliente();
        ocultarModal();
    }
    ocultarModal = function()
    {
        $( '#exampleModalCenter' ).modal( 'hide' );
    }
</script>
<!-- //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// -->

<script type="text/javascript">
    $( "#NumDocuCliente" ).autocomplete
    (
        {
            source: function(request, response)
            {
                $.getJSON
                (
                    "<?=buildUrl( 'recephabit/requestUbicacion' )?>",
                    { term:request.term, tipo_proc:'AutocompleteDoc', tipo_doc: $( '#TipoDocCliente' ).val() },
                    response
                );
            },
            //source: "<?=buildUrl( 'recephabit/requestUbicacion', "tipo_proc=AutocompleteDoc" )?>",
            minLength: 2,
            select: function( event, ui )
            {
                console.log( ui );
                switch( ui.item.value.length )
                {
                    case 8:
                        $( "#TipoDocCliente" ).val( "DNI" );
                        break;
                    case 11:
                        $( "#TipoDocCliente" ).val( "RUC" );
                        break;
                }
                $( "#ClienteNumero" ).val( ui.item.id );
                buscarInfoCliente();

            }
        }
    );

    $( "#NombreCliente" ).autocomplete
    (
        {
            source: "<?=buildUrl( 'recephabit/requestUbicacion', "tipo_proc=Autocomplete" )?>",
            minLength: 2,
            select: function( event, ui )
            {
                console.log( ui );
                $( "#ClienteNumero" ).val( ui.item.id );
                $( "#TipoDocCliente" ).val( ui.item.tipo_doc );
                $( "#NumDocuCliente" ).val( ui.item.num_doc );
                buscarInfoCliente();
            }
        }
    );

    buscarInfoPoNumeroDoc = function()
    {
        var NumDocuCliente   = $( "#NumDocuCliente" ).val().trim();
        if( NumDocuCliente == "" )
        {
            return false;
        }
        blockContent( 'content_buttons' );
        blockContent( 'content_datos_cliente' );
        var TipoDocuCliente  = $( "#TipoDocCliente" ).val();
        var strFormSerialize = "tipo_proc=getClienteInfoPoDocNum&NumDocuCliente=" + NumDocuCliente + "&TipoDocuCliente=" + TipoDocuCliente;
        executeAjaxJson
        (
            "<?php echo buildUrl( 'recephabit/requestUbicacion', "" ) ?>",
            strFormSerialize,
            function( o_json )
            {
                unBlockContent( 'content_buttons' );
                unBlockContent( 'content_datos_cliente' );
                if( o_json.error )
                {
                    showAlertBootStrap( 'content_alert', 'alert-danger', o_json.mensaje_error );
                    return false;
                }
                console.log( o_json );
                $( "#ClienteNumero" ).val( o_json.IdPersona );
                buscarInfoCliente();
            }
        );
    }

    buscarInfoCliente = function()
    {
        /////////
        var IdTipoDocumento = "";
        var TipoDocCliente = $( "#TipoDocCliente" ).val();
        /*
        if( TipoDocCliente == "RUC" )
        {
            IdTipoDocumento = "FC";
        }
        else
        {
            IdTipoDocumento = "BV";
        }
        */
        //var IdTipoDocumento = $( "#IdTipoDocumento" ).val();
        if( IdTipoDocumento == "" )
        {
            /*showAlertBootStrap( 'content_alert', 'alert-danger', "Debe de seleccionar el Tipo de Comprobante." );
            limpiarValores();
            return false;*/
        }
        var ClienteNumero = $( "#ClienteNumero" ).val().trim();
        if( !ClienteNumero )
        {
            return false;
        }
        var strFormSerialize = "tipo_proc=getClienteInfo&ClienteNumero=" + ClienteNumero + "&IdTipoDocumento=" + IdTipoDocumento;
        blockContent( 'content_datos_cliente' );
        executeAjaxJson
        (
            "<?php echo buildUrl( 'recephabit/requestUbicacion', "" ) ?>",
            strFormSerialize,
            function( o_json )
            {
                unBlockContent( 'content_datos_cliente' );

                if( o_json.error )
                {
                    //mostrarMensajeError( o_json.mensaje_error );
                    return false;
                }
                $( "#NombreCliente" ).val( o_json.Nombre );
                $( "#NumDocuCliente" ).val( o_json.Documento );
                $( "#TipoDocCliente" ).val( o_json.TipoDocumento );
                $( "#DireccionCliente" ).val( o_json.Direccion );
                //$( "#IdVendedor" ).val( o_json.CodVendedor );
                $( "#CorreoCliente" ).val( o_json.Correo );
                $( "#CelularCliente" ).val( o_json.Celular );

                $( "#Departamento" ).val( o_json.Departamento );
                $( "#Provincia" ).val( "" );
                $( "#Distrito" ).val( "" );

                if( o_json.Departamento )
                {
                    $('#Provincia')[0].options.length = 1;
                    $('#Distrito')[0].options.length=1;
                    publicForSelectAjaxJSON(
                        '<?php echo buildUrlComplet( 'mst.php/persona/request' ) ?>',
                        'TipoProc=Provincia&Departamento=' + o_json.Departamento,
                        'Provincia',
                        function( data )
                        {
                            setTimeout(
                                function( )
                                {
                                    $( "#Provincia" ).val( o_json.Provincia );
                                },
                                100
                            )
                        }
                    );
                }

                if( o_json.Provincia )
                {
                    $('#Distrito')[0].options.length = 1;
                    publicForSelectAjaxJSON(
                        '<?php echo buildUrlComplet( 'mst.php/persona/request' ) ?>',
                        'TipoProc=Distrito&Provincia=' + o_json.Provincia,
                        'Distrito',
                        function( data )
                        {
                            setTimeout(
                                function( )
                                {
                                    $( "#Distrito" ).val( o_json.IdUbigeo );
                                },
                                100
                            )
                        }
                    );
                }

                //$( "#IdUbigeo" ).val( o_json.IdUbigeo );
                //$( "#cboCanal" ).val( o_json.CanalCliente );
                //$( "#sPais" ).val( "PERU" );
                if( o_json.Direccion == "" )
                {
                    /*$( "#DireccionCliente" ).val( '<?=$o_VTA_OrdenBN->getFactDirec1()?>' );*/
                }

                $( '#content_proyecto' ).unblock();
            }
        );
    }

    limpiarValores = function()
    {
        //LIMPIAR
        //$( "#ClienteNumero" ).val( "" );
        //$( "#NumDocuCliente" ).val( "" );
        $( "#NombreCliente" ).val( "" );
        $( "#DireccionCliente" ).val( "" );
        $( "#Departamento" ).val( "" );
        $( "#Provincia" ).val( "" );
        $( "#Distrito" ).val( "" );
    }

</script>

<script type="text/javascript">
    <?php if( $error_mensaje ){ ?>
    showAlertBootStrap( 'content_alert', 'alert-danger', "<?=$error_mensaje?>" );
    <?php } ?>

    $( '#OrdenTipoComercialId' ).trigger( 'change' );

    setTimeout
    (
        function()
        {
            $( "#NumDocuCliente" ).focus();
        },
        500
    );

    <?php if( $o_VTA_OrdenBN->getOrdenId() ){ ?>
    setTimeout
    (
        function()
        {
            buscarInfoCliente();
        },
        500
    );
    <?php } ?>
</script>

