<?php 
function main_head_wt( $text ) 
{
    use_helper( 'UrlFunctions');
    use_helper( 'Javascript');
    use_helper( 'UtilFunctions' );
    use_helper( 'IncludePartial' );

    $ob_sfUser = myUser::getUser();
    $o_GSS_CompaniaBN = $ob_sfUser->getObjectCompania();

    $o_TMP_sfUser = myUser::getUser();
?>
<script type="text/javascript">
changeIcon = function( elm, name )
{
    var elms    = $( elm ).find( "svg" );
    var elm_sel = elms.first();
    if( $( "#" + name ).is( ":visible" ) )
    {
        $( elm_sel ).removeClass( "fa-angle-down" );
        $( elm_sel ).addClass( "fa-angle-right" );
    }
    else
    {
        $( elm_sel ).removeClass( "fa-angle-right" );
        $( elm_sel ).addClass( "fa-angle-down" );
    }
}

findElmCollapse = function( name, task_id, elm )
{
    $( "#sidebar" ).find( ".collapse.list-unstyled.show" ).not( "#" + name ).not( ".treeview-menu" ).each
    (
        function( key, elm )
        {
            //pr( arguments );
            $( '#' + elm.id ).collapse( 'hide' );
        }
    );

    $( "#" + name ).html( '<li style="text-align: center;"><img src="<?=Constantes::ROOT_DIR_IMG?>common/indicator_big.gif" width="25px" height="25px" align="middle"></li>' );

    $.ajaxSetup
    (
        {
            contentType: 'application/x-www-form-urlencoded; charset=utf-8',
            beforeSend: function( jqXHR ) 
            {
                jqXHR.overrideMimeType( 'application/x-www-form-urlencoded; charset=utf-8' );
            }
        }
   );

    var o_pars = { "taskId": task_id };

    $o_elm = $( "#" + name );
    $o_elm.load
    (
        '<?=buildUrl( 'user/findMenu' )?>',
        o_pars,
        function( response, status, xhr )
        {
            if (status == "error")
            {
                var msg = "Sorry but there was an error: ";
                //alert( msg + xhr.status + " " + xhr.statusText );
                console.log( msg + xhr.status + " " + xhr.statusText );
            }
        }
    );

    changeIcon( elm, name );
}

reqBody = function( url, block ) 
{
    //pars = "?block=" + block;
    //document.getElementById( 'contentResultxx' ).src = ( url + pars );

    //document.getElementById( 'contentResultxx' ).src = ( url );
    $( "#contentResultxx" ).attr( 'src', url );
    
    /*var frameBody = $( "#contentResultxx" ).contents().find( "body" );
    frameBody.focus( function(){ } );
    frameBody.click( function(){ } );
    frameBody.keyup( function(){ } );*/

    var iframe = $( "#contentResultxx" )[0];
    iframe.contentWindow.focus();
}

validarSesion = function()
{
    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'user/request' ) ?>", 
        "tiporeq=validar_session",
        function( o_json )
        {
            //pr( o_json.IdUsuario );
            //pr( $( "#nickname" ).val() );
            if( o_json.error )
            {
                $( "#content_perfil" ).hide();
                $( "#content_form" ).show();
            }
            else
            {
                $( "#content_perfil" ).show();
                $( "#content_form" ).hide();
                if( o_json.IdUsuario != $( "#nickname" ).val() )
                {
                    if( o_json.IdRol == "sys.ven" )
                    {
                        location.reload();
                        //pr( "recargar" );
                    }
                }
            }
        } 
    );
}

reIniciarSession = function( tipo )
{
    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'user/request' ) ?>", 
        $( "#form1" ).serialize() + "&tiporeq=re_ingresar_session&metodo=" + tipo,
        function( o_json )
        {
            //pr( o_json );
            if( o_json.error )
            {
                $.notify
                (
                    {
                        title: '<strong>Advertencia!</strong>',
                        message: o_json.mensaje_error
                    },
                    {
                        type: 'danger'
                    }
                );
            }
            else
            {
                if( !tipo )
                {
                    validarSesion();
                }
            }
        } 
    );
}
</script>

<style type="text/css">
.logo-wrapper.sn-ad-avatar-wrapper {
    height: 5rem;
    padding: 19px 10px;
    border-bottom: 1px solid rgba(255,255,255,.65);
}
.logo-wrapper.media {
    height: 5rem;
    padding: 19px 10px;
    border-bottom: 1px solid rgba(255,255,255,.65);
}
.logo-wrapper.media:first-child {
    margin-top: 0;
}
.logo-wrapper.sn-ad-avatar-wrapper a img {
    max-width: 2.5rem;
    padding: 0;
    float: left;
    border: 1px solid #3ea2e5;
}
.logo-wrapper.sn-ad-avatar-wrapper span {
    font-size: 14px;
    color: inherit;
    font-family: inherit;
    font-weight: 500;
    line-height: 1.1;
}
.logo-wrapper.sn-ad-avatar-wrapper a {
    line-height: 2.6rem;
    color: #fff;
    float: left;
    padding-right: 10px;
    margin-top: 2px;
}
</style>

<style type="text/css">
.dropdown-submenu {
    position:relative;
}
.dropdown-submenu>.dropdown-menu {
    top: 0;
    left: 100%;
    margin-top:-6px;
}
</style>

<style type="text/css">
::-webkit-scrollbar 
{
    width: 20px;
}
#sidebar
{
    overflow-y: auto;
}
</style>

<style>
    #sidebar ul li a {
        padding: 10px;
        font-size: 1.1em;
        display: block;
        background: <?=$o_GSS_CompaniaBN->getSidebarBackgroundColor()?>;
    }

    #sidebar ul li a:hover {
        color: #7386D5;
        background: #fff;
    }

    #sidebar ul li.active>a,
    a[aria-expanded="true"] {
        color: #fff;
        background: #6d7fcc;
    }

    a[data-toggle="collapse"] {
        position: relative;
    }
</style>

<div class="wrapper">
    <!-- Sidebar  -->
    <nav id="sidebar" style="background-color: <?=$o_GSS_CompaniaBN->getSidebarBackgroundColor()?>;">


        <div id="dismiss" style="">
            <button type="button" id="" class="btn btn-lg btn-info"  style="background-color: <?=$o_GSS_CompaniaBN->getSidebarBackgroundColor()?>;">
                <i class="fas fa-bars"></i>
            </button>
        </div>

        <?php if ( $ob_sfUser->isAuthenticated() ){ ?>
        
        <div class="logo-wrapper sn-ad-avatar-wrapper">
            <div class="media">
                <a href="javascript:void(0);" onclick="location.href='<?php echo Constantes::ROOT_DIR_APP?>'">
                    <?=addImg( $ob_sfUser->getObjectCompania()->getLogoFileFinal(), array( "class" => "z-depth-0", "alt" => "avatar image", "height"=>45, "style"=>"max-width: none;" ), false )?>
                </a>
            </div>
        </div>

        <div class="logo-wrapper sn-ad-avatar-wrapper">
            <div class="media">
                <a href="#">
                    <?=addImg( $ob_sfUser->getObjectUsuario()->getUsuarioImagenPr(), array( "class" => "rounded-circle" ), false )?>
                </a>
                <div style="display: table-cell;">
                    <span><?=$ob_sfUser->getName()?></span>
                    <p style="color: #fff;"><?php echo $ob_sfUser->getObjectRol()->getRolDescripcion() ?></p>
                </div>
            </div>
        </div>
        
        <?php }else{ ?>
        <div class="sidebar-header"><h3>Menu<br>Principal</h3></div>
        <?php } ?>

        <ul class="list-unstyled components" id="content_sidebar_menu">
            <!--<p>Arbol de Aplicaciones</p>-->

            <?php if ( $ob_sfUser->isAuthenticated() ){ ?>
                <?php
                $s_PrimeraTarea = "";
                $ob_MainMenu = new menu_class;
                $ob_MainMenu->getInit( $ob_sfUser->getRoleId() );
                $menu_lst = $ob_MainMenu->getMenu( $ob_MainMenu->getStartTaskId() );
                //pr( $menu_lst );
                $x = 0; $default = "";
            ?>
                <?php if ( count ( $menu_lst ) > 0 ){ ?>
                    <?php foreach ( $menu_lst as $key => $value ){ ?>
                        <?php 
                        if( !$value['MenuEstado'] )
                        {
                            continue;
                        }
                        ?>
                        <?php if ( $value['Access'] && $value['TaskType'] == 'menu' ){ ?>
                            <?php 
                            $s_IdElmLI = "LI_mainMenu_".$key;
                            $s_IdElmUL  = "A_mainMenu_".$key;
                            
                            if( !$s_PrimeraTarea )
                            {
                                $a_Data = SEG_MenuFN::buscarPrimeraTarea( $ob_sfUser->getRoleId(), $value['TaskId'] );
                                if( $a_Data )
                                {
                                    $a_MenuPila = $ob_MainMenu->getTask( $a_Data['IdtareaHijo'] );
                                    if( $a_MenuPila )
                                    {
                                        $s_PrimeraTarea = $a_MenuPila['PathScriptId'];
                                    }
                                }
                            }
                            ?>
            <li id="<?=$s_IdElmLI?>" onclick="">
                <a href="#<?=$s_IdElmUL?>" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle" onclick="findElmCollapse( '<?=$s_IdElmUL?>', '<?php echo  $value['TaskId']?>', this );">
                    <?php echo $value['ButtonText'];?> <i class="fa fa-angle-right pull-right"></i>
                </a>
                <ul class="collapse list-unstyled" id="<?=$s_IdElmUL?>">
                    <li style="text-align: center;"><img src="<?=Constantes::ROOT_DIR_IMG?>common/indicator_big.gif" width="25px" height="25px" align="middle"></li>
                </ul>
            </li>
                        <?php } ?>
                    <?php } ?>
                <?php } ?>
            <?php } ?>

        </ul>
        <!--
        <ul class="list-unstyled CTAs">
            <li>
                <a href="https://bootstrapious.com/tutorial/files/sidebar.zip" class="download">Download source</a>
            </li>
            <li>
                <a href="https://bootstrapious.com/p/bootstrap-sidebar" class="article">Back to article</a>
            </li>
        </ul>
        -->
    </nav>

<style type="text/css">
.dropdown-submenu 
{
    position: relative;
}
.dropdown-submenu a::after 
{
    transform: rotate(-90deg);
    position: absolute;
    right: 6px;
    top: .8em;
}
.dropdown-submenu .dropdown-menu 
{
    top: 0;
    left: 100%;
    margin-left: .1rem;
    margin-right: .1rem;
}
</style>

<style type="text/css">
.UsuarioNombre
{
    opacity: .8;
    font-weight: bold;
    white-space: nowrap;
    box-sizing: border-box;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 0.88rem;
    /*font-weight: 400;*/
    line-height: 1.5;
    color: #495057;
    text-align: left;
}
</style>

    <style>
        .dropdown-item:focus, .dropdown-item:hover {
            color: #16181b;
            text-decoration: none;
            background-color: #9dc7f5;
        }
    </style>


    <!--<nav class="navbar fixed-top navbar-default navbar-expand-lg navbar-light" style="background-color: <?=$o_GSS_CompaniaBN->getNavbarBackgroundColor()?>;">-->
    <nav class="navbar fixed-top navbar-expand-lg navbar-dark" style="background-color: <?=$o_GSS_CompaniaBN->getNavbarBackgroundColor()?>;">
        <?php if ( $ob_sfUser->isAuthenticated() ){ ?>
        <div class="navbar-header d-flex col">
            <button type="button" id="sidebarCollapse" class="btn btn-lg btn-info" onclick="validarSesion();" style="background-color: <?=$o_GSS_CompaniaBN->getNavbarBackgroundColor()?>; border-color: #f8f9fa;">
                <!--<i class="fas fa-align-right"></i>-->
                <i class="fas fa-bars"></i>
                <!--<span>MENU</span>-->
            </button>
            <!--
            <button class="navbar-toggler" type="button"  >
                <span class="navbar-toggler-icon"></span>
            </button>
            -->
            <!--
            <a href="#" data-toggle="dropdown" class="btn btn-primary get-started-btn mt-1 mb-1" onclick="location.href='<?php echo Constantes::ROOT_DIR_APP?>'">
                <i class="fas fa-home"></i>&nbsp;Inicio
            </a>
            -->

            <button type="button" data-target="#navbarCollapse" data-toggle="collapse" class="navbar-toggle navbar-toggler ml-auto" style="border-color: #f8f9fa;">
                <span class="navbar-toggler-icon"></span>
                <!--<span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>-->
            </button>

        </div>
        <?php } ?>

        <?php if ( $ob_sfUser->isAuthenticated() ){ ?>
        <!-- Collection of nav links, forms, and other content for toggling -->
        <div id="navbarCollapse" class="collapse navbar-collapse justify-content-start">
            <!--
            <div class="" style="width: 40%">
                <h6 class="" style="font-size: 13px;">Bienvenido: </h6>
                <div class="UsuarioNombre" style="font-size: 10px;"><?=$ob_sfUser->getName()?></div>
            </div>
            -->

            <ul class="nav navbar-nav navbar-right ml-auto">
                <?php if( myUser::getUser()->getRoleId() == "sys.adm" ){ ?>
                <li class="nav-item dropdown" style="margin-right: 2px;">
                    <a class="btn btn-primary get-started-btn mt-1 mb-1" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" onclick="validarSesion();" style="padding-right: 10px;">
                        <i class="fas fa-bars"></i>&nbsp;&nbsp;Acceso Directos
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                        <?php $o_TMP_sfUser->getPerm( "mnu.mst.item.list" ); ?>
                        <?php if( $o_TMP_sfUser->mnuTask['Access'] ){ ?>
                            <?php if( SEG_MenuFN::estaHabilitadoMenuPorIdtarea( "mnu.mst.item.list" ) ){ ?>
                        <li><a class="dropdown-item" href="javascript:void(0)" onclick="reqBody( '<?php echo buildUrlComplet('mst.php/item/list')?>' );">Ir a Produtos</a></li>
                            <?php } ?>
                        <?php } ?>

                        <?php $o_TMP_sfUser->getPerm( "mnu.rep.rep.listStock" ); ?>
                        <?php if( $o_TMP_sfUser->mnuTask['Access'] ){ ?>
                            <?php if( SEG_MenuFN::estaHabilitadoMenuPorIdtarea( "mnu.rep.rep.listStock" ) ){ ?>
                            <li><a class="dropdown-item" href="javascript:void(0)" onclick="reqBody( '<?php echo buildUrlComplet('rep.php/rep/listStock')?>' );">Ver Stock</a></li>
                            <?php } ?>
                        <?php } ?>

                        <?php $o_TMP_sfUser->getPerm( "mnu.mst.listprecios.list" ); ?>
                        <?php if( $o_TMP_sfUser->mnuTask['Access'] ){ ?>
                            <?php if( SEG_MenuFN::estaHabilitadoMenuPorIdtarea( "mnu.mst.listprecios.list" ) ){ ?>
                            <li><a class="dropdown-item" href="javascript:void(0)" onclick="reqBody( '<?php echo buildUrlComplet('mst.php/listprecios/list' )?>' );">Ir a Precios</a></li>
                            <?php } ?>
                        <?php } ?>

                        <?php $o_TMP_sfUser->getPerm( "mnu.vta.pto.list" ); ?>
                        <?php if( $o_TMP_sfUser->mnuTask['Access'] ){ ?>
                            <?php if( SEG_MenuFN::estaHabilitadoMenuPorIdtarea( "mnu.vta.pto.list" ) ){ ?>
                            <li><a class="dropdown-item" href="javascript:void(0)" onclick="reqBody( '<?php echo buildUrlComplet('vta.php/pto/list' )?>' );">Punto de venta</a></li>
                            <?php } ?>
                        <?php } ?>

                        <?php $o_TMP_sfUser->getPerm( "mnu.vta.cot.list" ); ?>
                        <?php if( $o_TMP_sfUser->mnuTask['Access'] ){ ?>
                            <?php if( SEG_MenuFN::estaHabilitadoMenuPorIdtarea( "mnu.vta.cot.list" ) ){ ?>
                        <li class="dropdown-submenu">
                            <a class="dropdown-item dropdown-toggle" href="#">Pedido</a>
                            <ul class="dropdown-menu">
                                <?php $o_TMP_sfUser->getPerm( "mnu.vta.cot.list" ); ?>
                                <?php if( $o_TMP_sfUser->mnuTask['Access'] ){ ?>
                                    <li><a class="dropdown-item" href="javascript:void(0)" onclick="reqBody( '<?php echo buildUrlComplet( 'vta.php/cot/list')?>' );">Listado</a></li>
                                <?php } ?>
                                <?php $o_TMP_sfUser->getPerm( "mnu.vta.cot.addedit" ); ?>
                                <?php if( $o_TMP_sfUser->mnuTask['Access'] ){ ?>
                                    <?php if( SEG_MenuFN::estaHabilitadoMenuPorIdtarea( "mnu.vta.cot.addedit" ) ){ ?>
                                    <li><a class="dropdown-item" href="javascript:void(0)" onclick="reqBody( '<?php echo buildUrlComplet( 'vta.php/cot/addedit/tipo_proc/nvo' )?>' );">Nuevo</a></li>
                                    <?php } ?>
                                <?php } ?>
                            </ul>
                        </li>
                            <?php } ?>
                        <?php } ?>

                        <!--
                        <?php $o_TMP_sfUser->getPerm( "mnu.vta.pro.list" ); ?>
                        <?php if( $o_TMP_sfUser->mnuTask['Access'] ){ ?>
                        <li class="dropdown-submenu">
                            <a class="dropdown-item dropdown-toggle" href="#">Facturaci&oacute;n</a>
                            <ul class="dropdown-menu">
                                <?php $o_TMP_sfUser->getPerm( "mnu.vta.pro.list" ); ?>
                                <?php if( $o_TMP_sfUser->mnuTask['Access'] ){ ?>
                                    <li><a class="dropdown-item" href="javascript:void(0)" onclick="reqBody( '<?php echo buildUrlComplet('vta.php/pro/list')?>' );">Listado</a></li>
                                <?php } ?>
                                <?php $o_TMP_sfUser->getPerm( "mnu.vta.pro.addedit" ); ?>
                                <?php if( $o_TMP_sfUser->mnuTask['Access'] ){ ?>
                                <li><a class="dropdown-item" href="javascript:void(0)" onclick="reqBody( '<?php echo buildUrlComplet('vta.php/pro/addedit/s_TipoProc/nvo')?>' );">Nuevo</a></li>
                                <?php } ?>
                            </ul>
                        </li>
                        <?php } ?>
                        -->
                    </ul>
                </li>
                <?php } ?>

                <!--<li class="nav-item" style="margin-right: 2px;">
                    <a href="#" data-toggle="dropdown" class="btn btn-primary dropdown-toggle get-started-btn mt-1 mb-1" style="padding-right: 10px;" onclick="">
                        <i class="fas fa-bars"></i>&nbsp;&nbsp;Acceso Directos
                    </a>
                    <ul class="dropdown-menu scrollable-menu form-wrapper" style="right: 265px;">
                        <li><a class="dropdown-item" href="<?php /*echo buildUrl('user/logout')*/?>"><i class="fa fa-running"></i> Cerrar Sesion </a></li>
                        <li><div class="dropdown-divider"></div></li>
                        <li><a class="dropdown-item" href="<?php /*echo buildUrl('user/logout')*/?>"><i class="fa fa-running"></i> Cerrar Sesion </a></li>
                    </ul>
                </li>-->

                <li class="nav-item" style="margin-right: 2px;">
                    <a href="#" class="btn btn-primary get-started-btn mt-1 mb-1" style="padding-right: 10px;" onclick="location.href='<?php echo buildUrl('user/logout')?>'">
                        <i class="fa fa-running"></i>&nbsp;Cerrar Sesion
                    </a>
                </li>
                <!--
                <li class="nav-item" style="margin-right: 2px;">
                    <a href="#" data-toggle="dropdown" class="btn btn-primary get-started-btn mt-1 mb-1" onclick="location.href='<?php echo Constantes::ROOT_DIR_APP?>'">
                        <i class="fas fa-home"></i>&nbsp;Inicio
                    </a>
                </li>
                -->
                <li class="nav-item" style="margin-right: 2px;">
                    <a href="#" data-toggle="dropdown" class="btn btn-primary dropdown-toggle get-started-btn mt-1 mb-1" onclick="validarSesion();">
                        <i class="fas fa-user"></i>&nbsp;Perfil
                    </a>
                    <ul class="dropdown-menu scrollable-menu form-wrapper" >
                        <li id="content_perfil" style="text-align: center;">
                            <div class="az-header-profile" style="padding-top: 0px; padding-bottom: 0px; padding-left: 20px; padding-right: 20px;">
                                <!--<p class="hint-text">Bienvenido</p>-->
                                <div class="az-img-user">
                                    <?=addImg( $ob_sfUser->getObjectUsuario()->getUsuarioImagenPr(), array( "class" => "rounded-circle z-depth-0", "alt" => "avatar image", "height"=>80 ), false )?>
                                </div>
                                <h6><?=$ob_sfUser->getName()?></h6>
                                <span><?php echo $ob_sfUser->getObjectRol()->getRolDescripcion() ?></span>
                                <span><?=myUser::getUser()->getObjectSucursal()->getDescripcion()?></span>
                            </div>
                        </li>
                        <li id="content_form" style="text-align: center; display: none;">
                            <form id="form1" action="" method="post" onsubmit="reIniciarSession(0); return false;">
                                <input type="hidden" name="IdCompania" id="IdCompania" value="<?=myUser::getUser()->getIdBusiness()?>">
                                <input type="hidden" name="IdSucursal" id="IdSucursal" value="<?=myUser::getUser()->getIdSucursal()?>">
                                <div class="form-group">
                                    <input type="text" class="form-control" placeholder="Usuario" required="required" name="nickname" id="nickname" value="<?=myUser::getUser()->getUserId()?>" readonly>
                                </div>
                                <div class="form-group">
                                    <input type="password" class="form-control" placeholder="" required="required" name="password" id="password">
                                </div>
                                <input type="submit" class="btn btn-primary btn-block" value="Ingresar" onclick="">
                            </form>
                        </li>
                        <li><div class="dropdown-divider"></div></li>
                        <li><a class="dropdown-item" href="<?php echo buildUrl('user/logout')?>"><i class="fa fa-running"></i> Cerrar Sesion </a></li>
                    </ul>
                </li>
            </ul>
        </div>
        <!-- aqui se coloca un timer para revisar sesion cada 60000 milisegundo  --> <!-- s1 1000 es un segundo -->
        <script type="text/javascript">
        var tid = setInterval
        (
            function()
            {
                reIniciarSession( 1 );
            }, 
            //60000 //1 minuto
            600000 //10 minutos

        );
        abortTimer = function() 
        {
            clearTimeout( tid );
        }
        //ahora se registra en cookie del cliente
        $.cookie( 'IdCompania', "<?=myUser::getUser()->getIdBusiness()?>", { expires: 1 } ); //expira 1 dia
        $.cookie( 'IdSucursal', "<?=myUser::getUser()->getIdSucursal()?>", { expires: 1 } );
        $.cookie( 'nickname',   "<?=myUser::getUser()->getUserId()?>", { expires: 1 } );
        </script>
        <?php } ?>
    </nav>

<script type="text/javascript">
$('.dropdown-menu a.dropdown-toggle').on
(
    'click', 
    function( e ) 
    {
        if ( !$( this ).next().hasClass( 'show' ) ) 
        {
            $( this ).parents( '.dropdown-menu' ).first().find( '.show' ).removeClass( "show" );
        }

        var $subMenu = $( this ).next( ".dropdown-menu" );
        $subMenu.toggleClass( 'show' );

        $( this ).parents( 'li.nav-item.dropdown.show' ).on
        (
            'hidden.bs.dropdown', 
            function( e ) 
            {
                $( '.dropdown-submenu .show' ).removeClass( "show" );
            }
        );
        return false;
    }
);
</script>

    <div id="content" class="row" style="margin-right: 0; margin-left: 0; padding-top: 74px;">
        <?php if ( $ob_sfUser->isAuthenticated() ){ ?>
            <?php //echo buildUrlComplet('vta.php/pro/list') ?>
            <?php if( myUser::getUser()->getRoleId() == "sys.adm" ){ ?>
            <iframe id="contentResultxx" class="col-lg-12 col-md-12 col-sm-12" src="<?php echo buildUrlComplet('ini.php/user/summary') ?>" name="contentResultxx"></iframe>
            <?php }else{ ?>
            <iframe id="contentResultxx" class="col-lg-12 col-md-12 col-sm-12" src="<?=$s_PrimeraTarea?>" name="contentResultxx"></iframe>
            <?php } ?>

        <?php }else{ ?>
            <?php echo $text ?>
        <?php } ?>
    </div>

</div>

<div class="overlay"></div>

<script type="text/javascript">
$( document ).ready
(
    function () 
    {
        /*$( "#sidebar" ).mCustomScrollbar
        (
            {
                theme: "minimal"
            }
        );*/

        $( '#dismiss, .overlay' ).on
        (
            'click', 
            function ( e ) 
            {
                $( '#sidebar' ).removeClass( 'active' );
                $( '.overlay' ).removeClass( 'active' );

                //e.stopPropagation();
            }
        );

        $( '#sidebarCollapse' ).on
        (
            'click', function ( e ) 
            {
                $( '#sidebar' ).addClass( 'active' );
                $( '.overlay' ).addClass( 'active' );
                $( '.collapse.in' ).toggleClass( 'in' );
                $( 'a[aria-expanded=true]' ).attr( 'aria-expanded', 'false' );

                //e.stopPropagation();
            }
        );
    }
);
// Prevent dropdown menu from closing when click inside the form
$( document ).on
(
    "click", 
    ".navbar-right .dropdown-menu", 
    function( e )
    {
        //e.stopPropagation();
    }
);
</script>
    <?php
}
?>


<!--
<style type="text/css">
.dropdown-submenu 
{
    position: relative;
}
.dropdown-submenu a::after 
{
    transform: rotate(-90deg);
    position: absolute;
    right: 6px;
    top: .8em;
}
.dropdown-submenu .dropdown-menu 
{
    top: 0;
    left: 100%;
    margin-left: .1rem;
    margin-right: .1rem;
}
</style>
    <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
      <li class="nav-item active">
        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Link</a>
      </li>
      <li class="nav-item">
        <a class="nav-link disabled" href="#">Disabled</a>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Dropdown link
        </a>
        <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
          <li><a class="dropdown-item" href="#">Action</a></li>
          <li><a class="dropdown-item" href="#">Another action</a></li>
          <li class="dropdown-submenu"><a class="dropdown-item dropdown-toggle" href="#">Submenu</a>
            <ul class="dropdown-menu">
              <li><a class="dropdown-item" href="#">Submenu action</a></li>
              <li><a class="dropdown-item" href="#">Another submenu action</a></li>
              <li class="dropdown-submenu"><a class="dropdown-item dropdown-toggle" href="#">Subsubmenu</a>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Subsubmenu action</a></li>
                  <li><a class="dropdown-item" href="#">Another subsubmenu action</a></li>
                </ul>
              </li>
              <li class="dropdown-submenu"><a class="dropdown-item dropdown-toggle" href="#">Second subsubmenu</a>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Subsubmenu action</a></li>
                  <li><a class="dropdown-item" href="#">Another subsubmenu action</a></li>
                </ul>
              </li>
            </ul>
          </li>
        </ul>
      </li>
    </ul>
-->